Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040LanguageCommunication

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040LanguageCommunicationImpl

    public interface POCDMT000040LanguageCommunication

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Language Communication'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Language Code`
- `Mode Code`
- `Proficiency Level Code`
- `Preference Ind`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040LanguageCommunication()`

Method Summary
`CS1` | `getLanguageCode()` Returns the value of the 'Language Code' containment reference.
`CE` | `getModeCode()` Returns the value of the 'Mode Code' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`BL1` | `getPreferenceInd()` Returns the value of the 'Preference Ind' containment reference.
`CE` | `getProficiencyLevelCode()` Returns the value of the 'Proficiency Level Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`void` | `setLanguageCode(CS1 value)` Sets the value of the '`Language Code`' containment reference.
`void` | `setModeCode(CE value)` Sets the value of the '`Mode Code`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setPreferenceInd(BL1 value)` Sets the value of the '`Preference Ind`' containment reference.
`void` | `setProficiencyLevelCode(CE value)` Sets the value of the '`Proficiency Level Code`' containment reference.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LanguageCommunication_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LanguageCommunication_TemplateId()`

### getLanguageCode

    CS1 getLanguageCode()

  Returns the value of the 'Language Code' containment reference.

  If the meaning of the 'Language Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_LanguageCode()`

### setLanguageCode

    void setLanguageCode(CS1 value)

  Sets the value of the '`Language Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Language Code' containment reference.
  See Also:
    `getLanguageCode()`

### getModeCode

    CE getModeCode()

  Returns the value of the 'Mode Code' containment reference.

  If the meaning of the 'Mode Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Mode Code' containment reference.
  See Also:
    `setModeCode(CE)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_ModeCode()`

### setModeCode

    void setModeCode(CE value)

  Sets the value of the '`Mode Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Mode Code' containment reference.
  See Also:
    `getModeCode()`

### getProficiencyLevelCode

    CE getProficiencyLevelCode()

  Returns the value of the 'Proficiency Level Code' containment reference.

  If the meaning of the 'Proficiency Level Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Proficiency Level Code' containment reference.
  See Also:
    `setProficiencyLevelCode(CE)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_ProficiencyLevelCode()`

### setProficiencyLevelCode

    void setProficiencyLevelCode(CE value)

  Sets the value of the '`Proficiency Level Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Proficiency Level Code' containment reference.
  See Also:
    `getProficiencyLevelCode()`

### getPreferenceInd

    BL1 getPreferenceInd()

  Returns the value of the 'Preference Ind' containment reference.

  If the meaning of the 'Preference Ind' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Preference Ind' containment reference.
  See Also:
    `setPreferenceInd(BL1)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_PreferenceInd()`

### setPreferenceInd

    void setPreferenceInd(BL1 value)

  Sets the value of the '`Preference Ind`' containment reference.

  Parameters:
    `value` - the new value of the 'Preference Ind' containment reference.
  See Also:
    `getPreferenceInd()`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040LanguageCommunication_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD